Error al crear CTOs en pestaña Cajas de Dist.

Software GIS para el diseño de redes FTTH | GeoFibra Foros Foro del Usuario GeoFibra Error al crear CTOs en pestaña Cajas de Dist.

Este debate contiene 2 respuestas, tiene 3 mensajes y lo actualizó  Luis Miguel Royo Perez hace 5 meses.

Viendo 3 publicaciones - del 1 al 3 (de un total de 3)
  • Autor
    Publicaciones
  • #8769

    Buenas tardes,

     

    Al intentar crear las CTOs tal y como se indica en el tutorial, es decir:

    – Desde Cajas Splitters\ Cajasde Distribución\… \Sobreescribir\ Procesar

    – Teniendo las Opciones de Creación rellenas

    – Y habiendo anteriormente realizado mi clusterización en un municipio (CL-0, CL-1, CL-2, …)

    Me da este error al intentar crear todas las CTOs conjuntamente:

    <span style=”color: #dc7d00;”>2019-02-05T17:22:20     WARNING    </span>Traceback (most recent call last):
    File “C:/Users/cmm/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\geofibra_pro\geofibra_pro_utils.py”, line 232, in ejecutaSQL
    cur.execute(sql)
    psycopg2.ProgrammingError: no existe la función st_generatepoints(geometry, integer)
    LINE 55: …_closestpoint(ST_ExteriorRing(mini.geom),(st_dump(ST_Generat…
    ^
    HINT: Ninguna función coincide en el nombre y tipos de argumentos. Puede ser necesario agregar conversión explícita de tipos.

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “C:/Users/cmm/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\geofibra_pro\GeoFibra.py”, line 497, in ont
    creaOnt(0, tasa_pen, ratioSp, spCto, nUuuiiMinMasa, caja_ext, caja_int, acron_pob, nombreBBDD, usuario, host, password, nUuiiMinMasaICT)
    File “C:/Users/cmm/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\geofibra_pro\geofibra_pro_sqlDef.py”, line 411, in creaOnt
    ejecutaSQL(nombreBBDD, usuario, host, password, sql)
    File “C:/Users/cmm/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\geofibra_pro\geofibra_pro_utils.py”, line 236, in ejecutaSQL
    raise Exception(mensaje)
    Exception: no existe la función st_generatepoints(geometry, integer)
    LINE 55: …_closestpoint(ST_ExteriorRing(mini.geom),(st_dump(ST_Generat…
    ^
    HINT: Ninguna función coincide en el nombre y tipos de argumentos. Puede ser necesario agregar conversión explícita de tipos.

    Gracias de nuevo

    Carlos

     

     

    #8772

    David
    Participante

    lo conseguistes solucionar?

    #8774

    Luis Miguel Royo Perez
    Jefe de claves

    Que versión usas de PostGIS? En la misma página de descarga del plugin libre puedes encontrar un archivo con todas las dependencias necesarias.

Viendo 3 publicaciones - del 1 al 3 (de un total de 3)

Debes estar registrado para responder a este debate.